Users

Change password

Change the current user's password. Accepts JWT Bearer token (OrgBearerAuth or ProjectBearerAuth - both are the same JWT token format). API keys are not supported for this endpoint.

AuthBearer (JWT)
GroupUsers
Rate limitSee Rate Limits
PATCH/api/users/password

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, UsersApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const users = new UsersApi(configuration);
import { Configuration, UsersApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const users = new UsersApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await users.changePassword(
  {
    currentPassword: "Str0ng_Sample_Pass!w0rd",
    newPassword: "Str0ng_Sample_Pass!w0rd"
  }
);
const { data: result } = await users.changePassword(
  {
    currentPassword: "Str0ng_Sample_Pass!w0rd",
    newPassword: "Str0ng_Sample_Pass!w0rd"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "currentPassword": "Str0ng_Sample_Pass!w0rd",
  "newPassword": "Str0ng_Sample_Pass!w0rd"
}
{
  "currentPassword": "Str0ng_Sample_Pass!w0rd",
  "newPassword": "Str0ng_Sample_Pass!w0rd"
}

Responses

200Password changed
json
{
  "message": "Password changed successfully"
}
{
  "message": "Password changed successfully"
}
Edit this page on GitHub